Subject: Re: bug#68851: 30.0.50; Native comp: Optimization failure for org-element-property-raw: Handler: org-element-property-raw--inliner

From: Andrea Corallo <[email-masked]>
Date: Thu, 08 Feb 2024 17:33:44 -0500

Ihor Radchenko <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Sorry I'm not too excited about reverse engineering org makefile :)
>
> You can simply
>
> cd org-mode/lisp
> emacs  -Q -batch --eval '(add-to-list '"'"'load-path ".")' --eval '(batch-native-compile)' org-element-ast.el

Negative, I've already the invocation for the native compilation, what I
want is the one for byte compilation.

Reason for that is that my crystal ball suggests compilers are invoked
in different ways.  Actually

emacs  -Q -batch --eval '(add-to-list '"'"'load-path ".")' --eval '(batch-byte-compile)' org-element-ast.el

gives here the same exact error the native compiler gives.

That BTW is in disagreement with:

>> Ihor have you tried compiling the compilation unit from command line
>> (using batch-byte-compile or batch-native-compile)?  If some dependency
>> is broken this should highlight it.
>
> batch-byte-compile does not emit any warnings.
> batch-native-compile emits the same warning:

So I suspect that (if this is really a bug) is not native compiler
related, but I need the second invocation to confirm.

Thanks

  Andrea